-- 我的服务器列表item
Lua_MyServerListItem = class("Lua_MyServerListItem", Lua_ListCell)
function Lua_MyServerListItem:ctor(p)
    self:superCall("ctor", p, "MyServerListItem_skin");
end

function Lua_MyServerListItem:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_MyServerListItem:dispose()
	self.data = nil;
    self:superCall("dispose");
end

function Lua_MyServerListItem:setData(data)
    local serverData = DataCenter.loginData.serverListData;
    self.data = serverData:getOneServerVo(data);
    local roleData = self.data.roleData;
    if roleData ~= nil then
        local config = getConfig("dress", roleData.avatar);
        if config == nil then
            self.headIcon:setAltas("role_avatar_1", "nvzhu");
        else
            self.headIcon:setAltas(config.atlas, config.sprite);
        end
        self.roleLvlTxt.text = tostring(roleData.level);
        self.roleNameTxt.text = roleData.role_name;
    end
    self.serverNameTxt.text = self.data.name;
end

function Lua_MyServerListItem:onPressClick()
    if self.data == nil then
        return;
    end
    Lua_MsgUtil.callFunc("SELECTE_SERVER", self.data);
end