-- 服务器列表item
Lua_ServerListItem = class("Lua_ServerListItem", Lua_ListCell)
function Lua_ServerListItem:ctor(p)
    self:superCall("ctor", p, "ServerListItem_skin");
end

function Lua_ServerListItem:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_ServerListItem:dispose()
	self.data = nil;
    self:superCall("dispose");
end

function Lua_ServerListItem:setData(data)
    if DataCenter.loginData.bLocalServer then
        self.data = data;
        self.serverName.text = data.server_name;
        self.isCreateRoleIcon:setEnable(false);
        self.statusIcon:setAltas("login_atlas", "ui_dlcj_label_02");
        self.signIcon:setEnable(false);
    else
        local serverData = DataCenter.loginData.serverListData;
        self.data = serverData:getOneServerVo(data);
        self.serverName.text = self.data.name;
        self.isCreateRoleIcon:setEnable(self.data.isCreateRole);
        self.statusIcon:setAltas("login_atlas", self.data.stateIcon);
        self.signIcon:setEnable(self.data.ad_status == 1 or self.data.ad_status == 2); -- 新区/推荐
    end
end

function Lua_ServerListItem:onPressClick()
    if self.data == nil then
        return;
    end
    Lua_MsgUtil.callFunc("SELECTE_SERVER", self.data);
end